#!/usr/bin/env ruby
require 'net/http'
require 'uri'
require 'JSON'

VERSION = '1.3'

# Main Treehouse Class
class Reddit
  def self.subreddit(subreddit)
    json = Net::HTTP.get(URI.parse("http://www.reddit.com/r/#{subreddit}/.json"))
    JSON.parse(json)
  end
  def self.user(user)
    json = Net::HTTP.get(URI.parse("http://www.reddit.com/user/#{user}/.json"))
    JSON.parse(json)
  end
  def self.front
    json = Net::HTTP.get(URI.parse('http://reddit.com/.json'))
    JSON.parse(json)
  end
  def self.version
    puts "reddinfo v#{VERSION}"
  end
end
